#
# spec file for package ghc-hsignal
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hsignal
Name:           ghc-%{pkg_name}
Version:        0.2.7.4
Release:        3.61
Summary:        Signal processing and EEG data analysis
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  blas-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hmatrix-devel
BuildRequires:  ghc-hmatrix-gsl-devel
BuildRequires:  ghc-hmatrix-gsl-stats-devel
BuildRequires:  ghc-hstatistics-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-storable-complex-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  lapack-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gsl)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Purely functional interface to signal processing based on hmatrix

Provides data types for manipulating EEG data, including reading from BDF data
format files

The vector type is Data.Vector.Storable from the 'vector' package.

Feature requests, suggestions, and bug fixes welcome.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       blas-devel
Requires:       ghc-compiler = %{ghc_version}
Requires:       lapack-devel
Requires:       pkgconfig
Requires:       pkgconfig(gsl)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGES README

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.2.7.4 revision 0 with cabal2obs.
